
import java_cup.runtime.*;
import java.util.Vector;


%%
%class Lexer
%line
%column
%cup

%{

public void yyerror() {
      System.out.println("error line " +yyline + " column " +yycolumn
      + " " +yytext());
}


%}


id      = [a-zA-Z][a-zA-Z0-9_]*
nb      = [0-9]+
comment = ( [^*] | \*+[^/*] )*

%%




/* -------------------------------------------------
	Separateurs
   ------------------------------------------------- */



"("      { return new Symbol(sym.LPAR); }
")"      { return new Symbol(sym.RPAR); }
"+"      { return new Symbol(sym.PLUS); }
"-"      { return new Symbol(sym.MOINS); }
"*"      { return new Symbol(sym.MULT); }




/* -------------------------------------------------
	Variables
   ------------------------------------------------- */

{nb}     { return new Symbol(sym.NB, yytext()); }
{id}     { return new Symbol(sym.ID, yytext()); }



/* -------------------------------------------------
	Commentaires - Caracteres non pris en compte
   ------------------------------------------------- */

"/*" [^*] {comment} "*"+ "/"   {}
"//" [^\n\r]* [\n|\r|\r\n]     {}
[\ |\t|\n|\r|\r\n]                  {}



/* -------------------------------------------------
	Error
   ------------------------------------------------- */

.    { yyerror(); }
